#include <in_sock.h>

extern "C"
{
#include "lclhst.h"
};

// This code is based on EpocLocalHost.cpp ... the names have been made
// compatible to improve clarity. The code does not need to connect as
// the connection has already been made by the time this code is called.

JNIEXPORT jstring JNICALL Java_lclhst_LocalName
 (JNIEnv* env, jobject /*obj*/ )
{
	RSocket iSocket;
	RSocketServ iSocketServ;
	TInetAddr localNetAddr;
	TBuf8<16> iBuf;
	TRequestStatus status;
	iSocketServ.Connect();
	iSocket.Open(iSocketServ, KAfInet, KSockDatagram, KProtocolInetUdp);
	TInetAddr remoteNetAddr(INET_ADDR(194,129,36,5), 80);
	iSocket.Connect(remoteNetAddr, status);
	User::WaitForRequest(status);
	iSocket.LocalName(localNetAddr);
	localNetAddr.Output(iBuf);
	iSocket.Close();
	return(env->NewStringUTF(REINTERPRET_CAST(const char*, iBuf.PtrZ())));
}
